Bug 1004120 - Met EFI boot entry shown "fedora" issue
Met EFI boot entry shown "fedora" issue
Status: CLOSED CURRENTRELEASE
Product: oVirt
Classification: Community
Component: ovirt-node (Show other bugs)
unspecified
Unspecified Unspecified
medium Severity medium
: ---
: 3.4.1
Assigned To: Joey Boggs
bugs@ovirt.org
node
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-03 22:14 EDT by haiyang,dong
Modified: 2014-04-30 07:51 EDT (History)
13 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-04-30 07:51:48 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 18817 None None None Never

  None (edit)
Description haiyang,dong 2013-09-03 22:14:35 EDT
Description of problem:
Clean install ovirt-node-iso into efi machine and after install success.
Reboot it and enter into EFI boot entry, check that it was shown "fedora" in efi boot entry.

Actually, we want it show "oVirt Node Hypervisor",not "fedora" value.

Version-Release number of selected component (if applicable):
ovirt-node-iso-3.1.0-0.999.999.20130902154824gitbe189b3.497.fc18.iso

How reproducible:
100% 
 
Steps to Reproduce:

Actual result:
Met EFI boot entry shown "fedora" issue

Expect result:
The EFI boot entry should show "oVirt Node Hypervisor",not
"fedora" value.

Additional info:

--
Comment 1 Mike Burns 2013-09-04 07:56:42 EDT
Joey,

please review the patch and backport if needed to the 3.0 branch
Comment 2 Fabian Deutsch 2013-09-19 06:31:29 EDT
Not all EFI fixes landed in upstream 3.0.1:

9a436357e188f4209cb145ccbad9f95543e08638
[efi-fixes bd3ff17] installer: Fix EFI boot entry removal
 3 files changed, 142 insertions(+), 24 deletions(-)

be189b35c16f3dbbf295f2164bc4e4d4d3f3552b
[efi-fixes 9769dd7] remove existing efi entries when uninstall rhev-h in efi boot
 Author: hadong <hadong0720@gmail.com>
 1 file changed, 5 insertions(+)

a3f6f8fb9f9d98c33b9bac23482be1fa10b28141
[efi-fixes 3a3774d] Fix EFI boot entry shown "fedora" issue
 Author: hadong <hadong0720@gmail.com>
 1 file changed, 11 insertions(+), 5 deletions(-)

We need to backport them.
Comment 3 Sandro Bonazzola 2014-03-04 04:19:53 EST
This is an automated message.
Re-targeting all non-blocker bugs still open on 3.4.0 to 3.4.1.

Note You need to log in before you can comment on or make changes to this bug.